Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class TOP_Type

    java.lang.Object
      org.apache.uima.jcas.cas.TOP_Type

Direct Known Subclasses:
  AnnotationBase_Type, CommonArray_Type, FloatList_Type, FSList_Type, IntegerList_Type, Sofa_Type, StringList_Type

    public class TOP_Type

extends Object

hold Cas type information, link to JCas instance. One instance per Type, per CAS

Field Summary
`org.apache.uima.cas.impl.CASImpl` | `casImpl` ref to CAS for faster getters/setters
`Type` | `casType` the Cas Type associated with this Java Cas Model class
`int` | `casTypeCode`
`protected TOP_Type` | `instanceOf_Type` This generator can be set up to either get the identical Java object (if it exists) or just make a new one.
`JCas` | `jcas` reference to the Java Cas root
`org.apache.uima.cas.impl.LowLevelCAS` | `ll_cas`
`protected boolean` | `lowLevelArrayBoundChecks`
`protected boolean` | `lowLevelTypeChecks`
`static int` | `typeIndexID` each cover class when loaded sets an index.
`boolean` | `useExistingInstance`

Constructor Summary
`protected` | `TOP_Type()` protected constructor - disable default constructor - never called.
`` | `TOP_Type(JCas jcas, Type casType)` Internal - this constructor is called when new CAS creates corresponding jcas instance.
`protected` | `TOP_Type(JCas jcas, Type casType, boolean installGenerator)` DO NOT USE - for backwards compatibility only.

Method Summary
`void` | `addToIndexes(int inst)` add the corresponding FeatureStructure to all Cas indexes
`protected void` | `checkType(int inst)`
`protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
`int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
`protected void` | `invalidTypeArg(int inst)`
`int` | `noObjCreate()`
`void` | `removeFromIndexes(int inst)` remove the corresponding FeatureStructure from all Cas indexes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

  each cover class when loaded sets an index. used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

### casType

    public final Type casType

  the Cas Type associated with this Java Cas Model class

### casTypeCode

    public final int casTypeCode

### jcas

    public final JCas jcas

  reference to the Java Cas root

### casImpl

    public final org.apache.uima.cas.impl.CASImpl casImpl

  ref to CAS for faster getters/setters

### ll_cas

    public final org.apache.uima.cas.impl.LowLevelCAS ll_cas

### lowLevelTypeChecks

    protected final boolean lowLevelTypeChecks

### lowLevelArrayBoundChecks

    protected final boolean lowLevelArrayBoundChecks

### useExistingInstance

    public final boolean useExistingInstance

### instanceOf_Type

    protected final TOP_Type instanceOf_Type

  This generator can be set up to either get the identical Java object (if it exists) or just make a new one. If making a new one - the java object made cannot contain any other data (because updates won't be reflected). Each class generated by JCasGen either does this (if it has additional java fields imbedded) or not.

Constructor Detail

### TOP_Type

    protected TOP_Type()

  protected constructor - disable default constructor - never called.

### TOP_Type

    public TOP_Type(JCas jcas,
                    Type casType)

  Internal - this constructor is called when new CAS creates corresponding jcas instance. During this process, all the types defined in the CAS are used to see if there are any corresponding jcas type defs defined. If so, they are loaded. This constructor is called via its being the superclass of classes being loaded.

### TOP_Type

    protected TOP_Type(JCas jcas,
                       Type casType,
                       boolean installGenerator)

  DO NOT USE - for backwards compatibility only.

Method Detail

### getTypeIndexID

    public int getTypeIndexID()

  used to obtain reference to the TOP_Type instance

  Returns:
    the type array index

### getFSGenerator

    protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

### checkType

    protected void checkType(int inst)

### invalidTypeArg

    protected void invalidTypeArg(int inst)

### addToIndexes

    public void addToIndexes(int inst)

  add the corresponding FeatureStructure to all Cas indexes

### removeFromIndexes

    public void removeFromIndexes(int inst)

  remove the corresponding FeatureStructure from all Cas indexes

### noObjCreate

    public int noObjCreate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.